Description

It seems that ide compilation process under GCC is broken due merging cpp branch.

Log:

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp: In function ‘void ReduceCodeBaseCache()’:

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:35:16: error: template argument for ‘template<class T> class Upp::Array’ uses

local type ‘ReduceCodeBaseCache()::FileInfo’

  Array<FileInfo> file;

                ^

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:35:16: error:   trying to instantiate ‘template<class T> class Upp::Array’

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:35:22: error: invalid type in declaration before ‘;’ token

  Array<FileInfo> file;

                      ^

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:40:23: error: request for member ‘Add’ in ‘file’, which is of non-class type ‘int’

    FileInfo& m = file.Add();

                       ^

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:49:34: error: request for member ‘GetCount’ in ‘file’, which is of non-class type

‘int’

  while(total > 120000000 && file.GetCount()) {

                                  ^

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:50:19: error: request for member ‘Top’ in ‘file’, which is of non-class type ‘int’

   DeleteFile(file.Top().path);

                   ^

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:51:17: error: request for member ‘Top’ in ‘file’, which is of non-class type ‘int’

   total -= file.Top().length;

                 ^

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:52:8: error: request for member ‘Drop’ in ‘file’, which is of non-class type ‘int’

   file.Drop();

        ^

In file included from uppsrc/Core/Core.h:269:0,

                 from uppsrc/Draw/Draw.h:6,

                 from uppsrc/RichText/RichText.h:4,

                 from uppsrc/CtrlCore/CtrlCore.h:4,

                 from uppsrc/CtrlLib/CtrlLib.h:4,

                 from /home/klugier/upp/uppsrc/ide/Browser/Browser.h:4,

                 from /home/klugier/upp/uppsrc/ide/Browser/Base.cpp:1:

uppsrc/Core/Algo.h: In instantiation of ‘void Upp::Sort(T&) [with T = int]’:

/home/klugier/upp/uppsrc/ide/Browser/Base.cpp:48:11:   required from here

uppsrc/Core/Algo.h:827:32: error: ‘int’ is not a class, struct, or union type

  typedef typename T::ValueType VT;

                                ^

uppsrc/Core/Algo.h:828:40: error: request for member ‘Begin’ in ‘c’, which is of non-class type ‘int’

04/26/2025 1/2



  Sort(c.Begin(), c.End(), StdLess<VT>());

                                        ^

uppsrc/Core/Algo.h:828:40: error: request for member ‘End’ in ‘c’, which is of non-class type ‘int’

uppsrc/Core/Algo.h:828:40: error: ‘int’ is not a class, struct, or union type

History

#1 - 05/14/2015 04:59 PM - Zbigniew Rebacz

- Status changed from New to Approved

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

OK!
